package com.bonus.canteen.core.device.constants;

public enum MacCounterStatusEnum {
   IS_EMPTY(1, "空的"),
   NOT_EMPTY(2, "不是空的"),
   RE_CATERING(3, "重新配餐");

   private final Integer key;
   private final String value;

   private MacCounterStatusEnum(Integer key, String value) {
      this.key = key;
      this.value = value;
   }

   public static Integer getKey(String value) {
      MacCounterStatusEnum[] macCounterStatusEnums = values();
      MacCounterStatusEnum[] var2 = macCounterStatusEnums;
      int var3 = macCounterStatusEnums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         MacCounterStatusEnum macCounterStatusEnum = var2[var4];
         if (macCounterStatusEnum.value().equals(value)) {
            return macCounterStatusEnum.key();
         }
      }

      return null;
   }

   public static String getValue(Integer key) {
      MacCounterStatusEnum[] macCounterStatusEnums = values();
      MacCounterStatusEnum[] var2 = macCounterStatusEnums;
      int var3 = macCounterStatusEnums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         MacCounterStatusEnum macCounterStatusEnum = var2[var4];
         if (macCounterStatusEnum.key().equals(key)) {
            return macCounterStatusEnum.value();
         }
      }

      return null;
   }

   public Integer key() {
      return this.key;
   }

   public String value() {
      return this.value;
   }

}
